gsasl_server_start(3)

NAME
gsasl_server_start - API function

SYNOPSIS
#include <gsasl.h>

int gsasl_server_start(Gsasl * ctx, const char * mech, Gsasl_session ** sctx);

ARGUMENTS

Gsasl * ctx
    libgsasl handle.

const char * mech
    name of SASL mechanism.

Gsasl_session ** sctx
    pointer to server handle.

DESCRIPTION
This functions initiates a server SASL authentication. This function must be called before any other gsasl_server_*() function is called.

Return value: Returns GSASL_OK if successful, or error code.

REPORTING BUGS
Report bugs to <bug-gsasl@gnu.org>.
General guidelines for reporting bugs: https://www.gnu.org/gethelp/
GNU SASL home page: https://www.gnu.org/software/gsasl/

COPYRIGHT
Copyright © 2002-2026 Simon Josefsson.
Copying and distribution of this file, with or without modification, are permitted in any medium without royalty provided the copyright notice and this notice are preserved.

SEE ALSO
The full documentation for gsasl is maintained as a Texinfo manual. If the info and gsasl programs are properly installed at your site, the command

    info gsasl

should give you access to the complete manual. As an alternative you may obtain the manual from:

    https://www.gnu.org/software/libidn/gsasl/manual/